public class bits {
   public static void main(String args[]) {
      int word = 1;

      IO.print("word = ");
      IO.printInt(word);

      IO.print("word << 1 = ");
      IO.printInt(word << 1);

      IO.print("word >> 1 = ");
      IO.printInt(word >> 1);

      IO.print("word ^ 1 = ");
      IO.printInt(word ^ 1 );

      IO.print("word | 1 = ");
      IO.printInt(word | 1);

      IO.print("word & 2 = ");
      IO.printInt(word & 2);

      long dword = 1;

      IO.print("dword = ");
      IO.printLong(dword);

      IO.print("dword << 1 = ");
      IO.printLong(dword << 1);

      IO.print("dword >> 1 = ");
      IO.printLong(dword >> 1);

      IO.print("dword ^ 1 = ");
      IO.printLong(dword ^ 1 );

      IO.print("dword | 1 = ");
      IO.printLong(dword | 1);

      IO.print("dword & 2 = ");
      IO.printLong(dword & 2);

   }
}
